ACN::PDU::Block< T > Struct Template Reference

PDU::pdu_data subclass that encapsulates other PDU. More...

`#include <pdu.h>`

Inheritance diagram for ACN::PDU::Block< T >:
[legend]

## Public Member Functions

void | setParent (Message< Pdu > parent)
| setParent More...
size_t | streamSize () const override
| streamSize More...
void | iStream (Stream s) override
| fill structure data from input stream
void | oStream (Stream s) const override
| write structure data to output stream

## Public Attributes

std::shared_ptr< std::vector< Message< T > > > | pdu
| member Messages of this block More...

## Detailed Description

### template<class T>
struct ACN::PDU::Block< T >

PDU::pdu_data subclass that encapsulates other PDU.

Template Parameters

  T | PDU decendant subclass

## Member Function Documentation

## setParent()

template<class T >

void ACN::PDU::Block< T >::setParent | ( | Message< Pdu > | parent | ) |

inline

setParent

Parameters

  parent |

## streamSize()

template<class T >

size_t ACN::PDU::Block< T >::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

## Member Data Documentation

## pdu

template<class T >

std::shared_ptr<std::vector<Message<T> > > ACN::PDU::Block< T >::pdu

Initial value:
= std::shared_ptr<std::vector<Message<T>>>
(new std::vector<Message<T>>)

member Messages of this block

The documentation for this struct was generated from the following file:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/acn/pdu.h